org.apache.commons.math3.exception

## Class NullArgumentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.apache.commons.math3.exception.MathIllegalArgumentException
          - - org.apache.commons.math3.exception.NullArgumentException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider

      public class NullArgumentException
      extends MathIllegalArgumentException

  All conditions checks that fail due to a `null` argument must throw this exception. This class is meant to signal a precondition violation ("null is an illegal argument") and so does not extend the standard `NullPointerException`. Propagation of `NullPointerException` from within Commons-Math is construed to be a bug.
  Since:
    2.2
  Version:
    $Id: NullArgumentException.java 1364378 2012-07-22 17:42:38Z tn $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version Id.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullArgumentException()` Default constructor.
    `NullArgumentException(Localizable pattern, Object... arguments)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException

      `getContext, getLocalizedMessage, getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NullArgumentException

          public NullArgumentException()

      Default constructor.

    - #### NullArgumentException

          public NullArgumentException(Localizable pattern,
                               Object... arguments)

      Parameters:
        `pattern` - Message pattern providing the specific context of the error.
        `arguments` - Values for replacing the placeholders in `pattern`.

Copyright (c) 2003-2013 Apache Software Foundation